Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
[Java] Class TaskReportRenderer

    java.lang.Object
      org.gradle.api.tasks.diagnostics.TextProjectReportRenderer
          org.gradle.api.tasks.diagnostics.TaskReportRenderer

    public class TaskReportRenderer
    extends TextProjectReportRenderer

A `TaskReportRenderer` is responsible for rendering the model of a project task report.

Authors:
  Hans Dockter

Field Summary

Fields inherited from class TextProjectReportRenderer
SEPARATOR

Constructor Summary
`TaskReportRenderer()`
`TaskReportRenderer(java.lang.Appendable writer)`

Method Summary
`void` | `addChildTask(TaskDetails task)`
`void` | `addDefaultTasks(java.util.List defaultTaskNames)` Writes the default task names for the current project.
`void` | `addRule(Rule rule)` Writes a rule for the current project.
`void` | `addTask(TaskDetails task)` Writes a task for the current project.
`void` | `completeTasks()` Marks the end of the tasks for the current project.
`void` | `showDetail(boolean detail)`
`void` | `startProject(Project project)`
`void` | `startTaskGroup(java.lang.String taskGroup)`

Methods inherited from class TextProjectReportRenderer
complete, completeProject, getFormatter, getWriter, setOutputFile, startProject

Constructor Detail

### TaskReportRenderer

    public TaskReportRenderer()

### TaskReportRenderer

    public TaskReportRenderer(java.lang.Appendable writer)

Method Detail

### addChildTask

    public void addChildTask(TaskDetails task)

### addDefaultTasks

    public void addDefaultTasks(java.util.List defaultTaskNames)

  Writes the default task names for the current project.
  Parameters:
    `defaultTaskNames` - The default task names (must not be null)

### addRule

    public void addRule(Rule rule)

  Writes a rule for the current project.
  Parameters:
    `rule` - The rule

### addTask

    public void addTask(TaskDetails task)

  Writes a task for the current project.
  Parameters:
    `task` - The task

### completeTasks

    public void completeTasks()

  Marks the end of the tasks for the current project.

### showDetail

    public void showDetail(boolean detail)

### startProject

    @Override
    public void startProject(Project project)

### startTaskGroup

    public void startTaskGroup(java.lang.String taskGroup)

Groovy Documentation